Page MenuHomePhabricator

Unbeta Pholio
Closed, ResolvedPublic

Description

Umbrella task for work remaining before Pholio can be unbeta'd.

Revisions and Commits

rP Phabricator
Closed
Restricted Differential Revision
Restricted Differential Revision

Related Objects

StatusAssignedTask
DuplicateNone
Resolvedbtrahan
OpenNone
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedchad
Resolvedchad
Resolvedepriestley
Resolvedbtrahan
Resolvedbtrahan
Resolvedchad
ResolvedNone
Resolvedangie
OpenNone
ResolvedNone
ResolvedNone
OpenNone
OpenNone
DuplicateNone
Resolvedchad
ResolvedNone
Resolvedepriestley
Resolvedhsb
Resolvedepriestley
Resolvedepriestley

Event Timeline

epriestley triaged this task as Normal priority.Mar 3 2013, 7:23 PM
epriestley added a project: Conpherence.
epriestley added subscribers: epriestley, chad, ljalonen.
epriestley edited this Maniphest Task.Mar 3 2013, 7:23 PM
epriestley edited this Maniphest Task.Mar 3 2013, 7:28 PM
epriestley edited projects, added Pholio; removed Conpherence.Mar 3 2013, 7:28 PM
epriestley edited this Maniphest Task.Mar 3 2013, 7:29 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.Mar 3 2013, 7:33 PM
epriestley edited this Maniphest Task.Mar 3 2013, 7:35 PM
epriestley edited this Maniphest Task.Mar 3 2013, 7:39 PM
epriestley edited this Maniphest Task.Mar 3 2013, 7:41 PM
epriestley edited this Maniphest Task.Mar 3 2013, 7:43 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.Mar 3 2013, 7:47 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.Mar 3 2013, 7:51 PM
epriestley edited this Maniphest Task.Mar 3 2013, 7:55 PM
epriestley edited this Maniphest Task.Mar 3 2013, 7:58 PM
epriestley added subscribers: AnhNhan, jevripio.

◀ Merged tasks: T2097.

epriestley edited this Maniphest Task.Mar 3 2013, 8:00 PM
epriestley edited this Maniphest Task.Mar 3 2013, 8:06 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.Mar 3 2013, 8:09 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.Mar 3 2013, 8:13 PM
epriestley edited this Maniphest Task.Mar 3 2013, 9:31 PM
epriestley edited this Maniphest Task.Mar 4 2013, 7:36 PM

cool - just jump in anywhere I want? I am doing T2522 first.

epriestley edited this Maniphest Task.Mar 5 2013, 11:19 AM
chad edited this Maniphest Task.Mar 7 2013, 6:45 PM
epriestley edited this Maniphest Task.Mar 8 2013, 12:58 AM
chad edited this Maniphest Task.Mar 8 2013, 1:07 AM
chad edited this Maniphest Task.Mar 8 2013, 5:45 PM
chad added a comment.Mar 8 2013, 6:23 PM

Test:

{M14}

chad edited this Maniphest Task.Mar 8 2013, 7:05 PM
chad edited this Maniphest Task.Mar 8 2013, 7:11 PM
starruler edited this Maniphest Task.Mar 8 2013, 8:19 PM
epriestley edited this Maniphest Task.Mar 9 2013, 10:51 PM
epriestley edited this Maniphest Task.Mar 20 2013, 3:20 PM
chad edited this Maniphest Task.Apr 24 2013, 11:43 PM
pprkut added a subscriber: pprkut.May 4 2013, 1:32 PM
chad added a comment.May 7 2013, 11:44 PM

@epriestley, which tasks do you think we can drop from unbeta? Some seem fine for v2.

I'd vaguely like to resolve the major mechanics before we unbeta -- I think the major missing pieces are:

  • Updates: we don't have a method for updating mocks. We've talked about some equivalent of rebounds but I'd like to try a real update process too.
  • Distribution: I'm not sure where this was, but I think we talked about always surfacing mocks on the home page. Add CCs improved this, but I'm not sure we're far enough yet.
  • Workflow: Some discussion in T2693, but we currently have zero workflow (e.g., state changes or even archiving), which I think might not be enough.

We also simply haven't used it all that much internally. Maybe we're missing secret sauce?

Although I'm not really sure where we should set the "Beta" bar -- I don't think we've actually unbeta'd anything since we introduced the status. The only things that I think are sort-of-too-janky-for-release right now are public views, mobile, and some of the ApplicationTransactions stuff, which are all fairly minor/easy.

I guess the worst case here is that if we had 100 users try it, I'd guess we'd get a lot of "How do I update it?", "How do I make people look at it?", "How do I accept/reject it?", and we don't have good answers for those questions right now.

chad added a comment.May 8 2013, 1:50 AM

My feeling is I'd like to have this and Conpherence unbeta by Phacility launch, it makes planning the site and marketing much easier. I also think both are 90% there. Specifically:

Updates
I think we should allow updating a mock until the point of the first comment / interaction. Covering the oops I didn't mean to upload that one case is the most common and we can play the rest by ear. We don't mean for these to be permanent records of perfection, otherwise designers will probably not use the tools much.

Distribution
Would like to solve this with Feed. I find Feed pretty useful at this point, it's low volume enough I don't feel overwhelmed and most things pertain to me. Later, I might want to just see Feed by Project as default, but not any priority. CCs works well in the rest of the cases.

Workflow
I would like states, not clear though that we need for unbeta. Mostly I'd prefer to unbeta and collect usage feedback before implementing any sort of review / close states. I have wanted to close out mocks as 'shipped'.

Mostly I weigh that we have a tool that's very useful to many orgs and I don't think a few debatable questions is worth holding it up. Getting feedback on actual usage should guide us well. On our usage, I think I'm really the only designer and I've been focused on PHUI and other items rather than large redesigns. After we launch SaaS it'd be nice to find some time for that again.

chad added a comment.May 8 2013, 1:52 AM

If you felt we should ship with states, I wouldn't object and would be happy to flush out what that means in a Phriction Doc.

chad added a comment.May 8 2013, 2:15 AM

One last thought…. even with a workflow in Pholio, we sort of agreed it would be optional to use anyways, so I think then we can simply add it later.

epriestley edited this Maniphest Task.May 8 2013, 3:54 AM
epriestley edited this Maniphest Task.May 8 2013, 3:50 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.May 8 2013, 3:53 PM
epriestley edited this Maniphest Task.May 13 2013, 1:26 PM
chad edited this Maniphest Task.Jun 4 2013, 11:44 PM
chad edited this Maniphest Task.Jul 3 2013, 6:11 PM
epriestley edited this Maniphest Task.Jul 9 2013, 3:08 PM
epriestley edited this Maniphest Task.Jul 15 2013, 7:21 PM
epriestley added a subscriber: epriestley.
btrahan edited this Maniphest Task.Jul 16 2013, 8:36 PM
chad edited this Maniphest Task.Jul 18 2013, 4:08 AM
chad added a subscriber: btrahan.Jul 18 2013, 4:09 AM
epriestley edited this Maniphest Task.Jul 19 2013, 3:19 PM
epriestley edited this Maniphest Task.Jul 19 2013, 3:52 PM
btrahan edited this Maniphest Task.Jul 19 2013, 11:01 PM
chad edited this Maniphest Task.Jul 19 2013, 11:06 PM
epriestley edited this Maniphest Task.Jul 22 2013, 6:20 PM
epriestley edited this Maniphest Task.Jul 22 2013, 7:22 PM
chad edited this Maniphest Task.Jul 25 2013, 5:14 AM
chad edited this Maniphest Task.
chad edited this Maniphest Task.Jul 29 2013, 4:24 PM
chad edited this Maniphest Task.Aug 7 2013, 4:44 PM
btrahan edited this Maniphest Task.Aug 20 2013, 7:43 PM
chad moved this task to On Deck on the Pholio board.Mar 21 2014, 5:20 AM
epriestley edited this Maniphest Task.Jun 15 2014, 10:00 PM
epriestley edited this Maniphest Task.Jun 22 2014, 7:37 PM
chad closed this task as Resolved.Jun 22 2014, 7:48 PM
chad claimed this task.
lvov moved this task from On Deck to v2 on the Pholio board.Dec 23 2014, 8:35 AM
lvov moved this task from v2 to On Deck on the Pholio board.
seungrye reopened subtask Restricted Maniphest Task as Open.Apr 5 2015, 6:42 AM
chad closed subtask Restricted Maniphest Task as Resolved.Apr 5 2015, 2:28 PM
chad changed the visibility from "All Users" to "Public (No Login Required)".Jul 1 2016, 10:17 PM